WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/April 2012/12 Apr 2012

WRU Rugby Stars Camp

57 photographs Huw Evans Agency Thursday
Prints from £8 Order prints
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate with youngsters and coaches at WRU Rugby Stars, Monmouth RFC 001
CDF_120412_WRU_Rugby_Stars_01.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate with youngsters and coaches at WRU Rugby Stars, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate with youngsters and coaches at WRU Rugby Stars, Monmouth RFC 002
CDF_120412_WRU_Rugby_Stars_02.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate with youngsters and coaches at WRU Rugby Stars, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate with youngsters and coaches at WRU Rugby Stars, Monmouth RFC 003
CDF_120412_WRU_Rugby_Stars_03.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate with youngsters and coaches at WRU Rugby Stars, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate with youngsters and coaches at WRU Rugby Stars, Monmouth RFC 004
CDF_120412_WRU_Rugby_Stars_04.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate with youngsters and coaches at WRU Rugby Stars, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCParticipation Officers Chris Cornford and Anthony Palmer and Community Coaches Tom Jones and Simon Church with youngsters 005
CDF_120412_WRU_Rugby_Stars_05.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCParticipation Officers Chris Cornford and Anthony Palmer and Community Coaches Tom Jones and Simon Church with youngsters
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCParticipation Officers Chris Cornford and Anthony Palmer and Community Coaches Tom Jones and Simon Church with youngsters 006
CDF_120412_WRU_Rugby_Stars_06.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCParticipation Officers Chris Cornford and Anthony Palmer and Community Coaches Tom Jones and Simon Church with youngsters
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCParticipation Officers Chris Cornford and Anthony Palmer and Community Coaches Tom Jones and Simon Church with youngsters 007
CDF_120412_WRU_Rugby_Stars_07.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCParticipation Officers Chris Cornford and Anthony Palmer and Community Coaches Tom Jones and Simon Church with youngsters
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCParticipation Officers Chris Cornford and Anthony Palmer and Community Coaches Tom Jones and Simon Church with youngsters 008
CDF_120412_WRU_Rugby_Stars_08.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCParticipation Officers Chris Cornford and Anthony Palmer and Community Coaches Tom Jones and Simon Church with youngsters
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 009
CDF_120412_WRU_Rugby_Stars_09.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 010
CDF_120412_WRU_Rugby_Stars_10.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 011
CDF_120412_WRU_Rugby_Stars_11.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 012
CDF_120412_WRU_Rugby_Stars_12.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 013
CDF_120412_WRU_Rugby_Stars_13.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 014
CDF_120412_WRU_Rugby_Stars_14.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 015
CDF_120412_WRU_Rugby_Stars_15.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 016
CDF_120412_WRU_Rugby_Stars_16.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 017
CDF_120412_WRU_Rugby_Stars_17.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 018
CDF_120412_WRU_Rugby_Stars_18.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 019
CDF_120412_WRU_Rugby_Stars_19.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 020
CDF_120412_WRU_Rugby_Stars_20.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 021
CDF_120412_WRU_Rugby_Stars_21.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 022
CDF_120412_WRU_Rugby_Stars_22.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 023
CDF_120412_WRU_Rugby_Stars_23.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 024
CDF_120412_WRU_Rugby_Stars_24.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 025
CDF_120412_WRU_Rugby_Stars_25.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 026
CDF_120412_WRU_Rugby_Stars_26.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 027
CDF_120412_WRU_Rugby_Stars_27.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games 028
CDF_120412_WRU_Rugby_Stars_28.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFCDan Lydiate joins in on the games
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 029
CDF_120412_WRU_Rugby_Stars_29.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 030
CDF_120412_WRU_Rugby_Stars_30.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 031
CDF_120412_WRU_Rugby_Stars_31.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 032
CDF_120412_WRU_Rugby_Stars_32.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 033
CDF_120412_WRU_Rugby_Stars_33.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 034
CDF_120412_WRU_Rugby_Stars_34.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 035
CDF_120412_WRU_Rugby_Stars_35.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 036
CDF_120412_WRU_Rugby_Stars_36.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 037
CDF_120412_WRU_Rugby_Stars_37.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 038
CDF_120412_WRU_Rugby_Stars_38.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 039
CDF_120412_WRU_Rugby_Stars_39.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 040
CDF_120412_WRU_Rugby_Stars_40.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 041
CDF_120412_WRU_Rugby_Stars_41.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 042
CDF_120412_WRU_Rugby_Stars_42.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 043
CDF_120412_WRU_Rugby_Stars_43.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 044
CDF_120412_WRU_Rugby_Stars_44.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 045
CDF_120412_WRU_Rugby_Stars_45.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 046
CDF_120412_WRU_Rugby_Stars_46.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 047
CDF_120412_WRU_Rugby_Stars_47.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 048
CDF_120412_WRU_Rugby_Stars_48.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 049
CDF_120412_WRU_Rugby_Stars_49.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 050
CDF_120412_WRU_Rugby_Stars_50.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 051
CDF_120412_WRU_Rugby_Stars_51.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 052
CDF_120412_WRU_Rugby_Stars_52.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 053
CDF_120412_WRU_Rugby_Stars_53.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 054
CDF_120412_WRU_Rugby_Stars_54.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 055
CDF_120412_WRU_Rugby_Stars_55.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 056
CDF_120412_WRU_Rugby_Stars_56.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC
10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC 057
CDF_120412_WRU_Rugby_Stars_57.JPG · Huw Evans Agency10412- WRU Rugby Stars, Rugby Camp, Monmouth RFC

More from around this date

Thu 12 AprWRU Rugby Stars Camp Thu 12 AprSWALEC Cup Semi Finals Photocall Fri 13 AprNewport-Gwent Dragons 32-33 Benetton Treviso Sat 14 AprWaunarlwydd v Tata Stee Sat 14 AprCardiff Blues 12-33 Ospreys Sat 14 AprCross Keys 19-19 Ebbw Vale Sat 14 AprNewbridge 24-28 Pontypridd Sat 14 AprLlanelli RFC 24-16 Carmarthen Quins
WRU Rugby Stars Camp · 12 Apr 2012
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured